defmodule SlideLife.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      SlideLifeWeb.Telemetry,
      SlideLife.Repo,
      {DNSCluster, query: Application.get_env(:slide_life, :dns_cluster_query) || :ignore},
      {Phoenix.PubSub, name: SlideLife.PubSub},
      # Start the Finch HTTP client for sending emails
      {Finch, name: SlideLife.Finch},
      # Start a worker by calling: SlideLife.Worker.start_link(arg)
      # {SlideLife.Worker, arg},
      # Start to serve requests, typically the last entry
      SlideLifeWeb.Endpoint
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: SlideLife.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    SlideLifeWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
